// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/blauwe-knop/vorderingenoverzicht/demo-source-system/internal/repositories (interfaces: EventRepository)
//
// Generated by this command:
//
//	mockgen -destination=./../test/mock/event_repository.go -package=mock gitlab.com/blauwe-knop/vorderingenoverzicht/demo-source-system/internal/repositories EventRepository
//

// Package mock is a generated GoMock package.
package mock

import (
	reflect "reflect"

	model "gitlab.com/blauwe-knop/vorderingenoverzicht/mock-source-system/pkg/model"
	gomock "go.uber.org/mock/gomock"

	repositories "gitlab.com/blauwe-knop/vorderingenoverzicht/demo-source-system/internal/repositories"
)

// MockEventRepository is a mock of EventRepository interface.
type MockEventRepository struct {
	ctrl     *gomock.Controller
	recorder *MockEventRepositoryMockRecorder
	isgomock struct{}
}

// MockEventRepositoryMockRecorder is the mock recorder for MockEventRepository.
type MockEventRepositoryMockRecorder struct {
	mock *MockEventRepository
}

// NewMockEventRepository creates a new mock instance.
func NewMockEventRepository(ctrl *gomock.Controller) *MockEventRepository {
	mock := &MockEventRepository{ctrl: ctrl}
	mock.recorder = &MockEventRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockEventRepository) EXPECT() *MockEventRepositoryMockRecorder {
	return m.recorder
}

// AddDbAchterstand mocks base method.
func (m *MockEventRepository) AddDbAchterstand(zaakkenmerk model.Zaakkenmerk, gebeurtenisKenmerk model.GebeurtenisKenmerk) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "AddDbAchterstand", zaakkenmerk, gebeurtenisKenmerk)
	ret0, _ := ret[0].(error)
	return ret0
}

// AddDbAchterstand indicates an expected call of AddDbAchterstand.
func (mr *MockEventRepositoryMockRecorder) AddDbAchterstand(zaakkenmerk, gebeurtenisKenmerk any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "AddDbAchterstand", reflect.TypeOf((*MockEventRepository)(nil).AddDbAchterstand), zaakkenmerk, gebeurtenisKenmerk)
}

// AddDbBetalingskenmerkGebeurtenis mocks base method.
func (m *MockEventRepository) AddDbBetalingskenmerkGebeurtenis(betalingskenmerk string, gebeurtenisKenmerk model.GebeurtenisKenmerk) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "AddDbBetalingskenmerkGebeurtenis", betalingskenmerk, gebeurtenisKenmerk)
	ret0, _ := ret[0].(error)
	return ret0
}

// AddDbBetalingskenmerkGebeurtenis indicates an expected call of AddDbBetalingskenmerkGebeurtenis.
func (mr *MockEventRepositoryMockRecorder) AddDbBetalingskenmerkGebeurtenis(betalingskenmerk, gebeurtenisKenmerk any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "AddDbBetalingskenmerkGebeurtenis", reflect.TypeOf((*MockEventRepository)(nil).AddDbBetalingskenmerkGebeurtenis), betalingskenmerk, gebeurtenisKenmerk)
}

// AddDbBsnRelation mocks base method.
func (m *MockEventRepository) AddDbBsnRelation(bsn model.Bsn, gebeurteniskenmerk model.GebeurtenisKenmerk) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "AddDbBsnRelation", bsn, gebeurteniskenmerk)
	ret0, _ := ret[0].(error)
	return ret0
}

// AddDbBsnRelation indicates an expected call of AddDbBsnRelation.
func (mr *MockEventRepositoryMockRecorder) AddDbBsnRelation(bsn, gebeurteniskenmerk any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "AddDbBsnRelation", reflect.TypeOf((*MockEventRepository)(nil).AddDbBsnRelation), bsn, gebeurteniskenmerk)
}

// AddDbContactOptie mocks base method.
func (m *MockEventRepository) AddDbContactOptie(contactOptie model.ContactOptie, zaakkenmerk model.Zaakkenmerk) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "AddDbContactOptie", contactOptie, zaakkenmerk)
	ret0, _ := ret[0].(error)
	return ret0
}

// AddDbContactOptie indicates an expected call of AddDbContactOptie.
func (mr *MockEventRepositoryMockRecorder) AddDbContactOptie(contactOptie, zaakkenmerk any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "AddDbContactOptie", reflect.TypeOf((*MockEventRepository)(nil).AddDbContactOptie), contactOptie, zaakkenmerk)
}

// AddDbEvent mocks base method.
func (m *MockEventRepository) AddDbEvent(event repositories.DbEvent) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "AddDbEvent", event)
	ret0, _ := ret[0].(error)
	return ret0
}

// AddDbEvent indicates an expected call of AddDbEvent.
func (mr *MockEventRepositoryMockRecorder) AddDbEvent(event any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "AddDbEvent", reflect.TypeOf((*MockEventRepository)(nil).AddDbEvent), event)
}

// AddDbFinancieleZaakRelation mocks base method.
func (m *MockEventRepository) AddDbFinancieleZaakRelation(gebeurteniskenmerk model.GebeurtenisKenmerk, zaakkenmerk model.Zaakkenmerk) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "AddDbFinancieleZaakRelation", gebeurteniskenmerk, zaakkenmerk)
	ret0, _ := ret[0].(error)
	return ret0
}

// AddDbFinancieleZaakRelation indicates an expected call of AddDbFinancieleZaakRelation.
func (mr *MockEventRepositoryMockRecorder) AddDbFinancieleZaakRelation(gebeurteniskenmerk, zaakkenmerk any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "AddDbFinancieleZaakRelation", reflect.TypeOf((*MockEventRepository)(nil).AddDbFinancieleZaakRelation), gebeurteniskenmerk, zaakkenmerk)
}

// DeleteAll mocks base method.
func (m *MockEventRepository) DeleteAll() error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DeleteAll")
	ret0, _ := ret[0].(error)
	return ret0
}

// DeleteAll indicates an expected call of DeleteAll.
func (mr *MockEventRepositoryMockRecorder) DeleteAll() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DeleteAll", reflect.TypeOf((*MockEventRepository)(nil).DeleteAll))
}

// DeleteDbAchterstand mocks base method.
func (m *MockEventRepository) DeleteDbAchterstand(zaakkenmerk model.Zaakkenmerk, gebeurtenisKenmerk model.GebeurtenisKenmerk) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DeleteDbAchterstand", zaakkenmerk, gebeurtenisKenmerk)
	ret0, _ := ret[0].(error)
	return ret0
}

// DeleteDbAchterstand indicates an expected call of DeleteDbAchterstand.
func (mr *MockEventRepositoryMockRecorder) DeleteDbAchterstand(zaakkenmerk, gebeurtenisKenmerk any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DeleteDbAchterstand", reflect.TypeOf((*MockEventRepository)(nil).DeleteDbAchterstand), zaakkenmerk, gebeurtenisKenmerk)
}

// GetDbAchterstanden mocks base method.
func (m *MockEventRepository) GetDbAchterstanden(zaakkenmerk model.Zaakkenmerk) ([]model.GebeurtenisKenmerk, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetDbAchterstanden", zaakkenmerk)
	ret0, _ := ret[0].([]model.GebeurtenisKenmerk)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetDbAchterstanden indicates an expected call of GetDbAchterstanden.
func (mr *MockEventRepositoryMockRecorder) GetDbAchterstanden(zaakkenmerk any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetDbAchterstanden", reflect.TypeOf((*MockEventRepository)(nil).GetDbAchterstanden), zaakkenmerk)
}

// GetDbContactOpties mocks base method.
func (m *MockEventRepository) GetDbContactOpties(zaakkenmerk model.Zaakkenmerk) ([]model.ContactOptie, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetDbContactOpties", zaakkenmerk)
	ret0, _ := ret[0].([]model.ContactOptie)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetDbContactOpties indicates an expected call of GetDbContactOpties.
func (mr *MockEventRepositoryMockRecorder) GetDbContactOpties(zaakkenmerk any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetDbContactOpties", reflect.TypeOf((*MockEventRepository)(nil).GetDbContactOpties), zaakkenmerk)
}

// GetDbFinancieleZaakRelationByGebeurtenisKenmerk mocks base method.
func (m *MockEventRepository) GetDbFinancieleZaakRelationByGebeurtenisKenmerk(gebeurteniskenmerk model.GebeurtenisKenmerk) ([]model.Zaakkenmerk, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetDbFinancieleZaakRelationByGebeurtenisKenmerk", gebeurteniskenmerk)
	ret0, _ := ret[0].([]model.Zaakkenmerk)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetDbFinancieleZaakRelationByGebeurtenisKenmerk indicates an expected call of GetDbFinancieleZaakRelationByGebeurtenisKenmerk.
func (mr *MockEventRepositoryMockRecorder) GetDbFinancieleZaakRelationByGebeurtenisKenmerk(gebeurteniskenmerk any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetDbFinancieleZaakRelationByGebeurtenisKenmerk", reflect.TypeOf((*MockEventRepository)(nil).GetDbFinancieleZaakRelationByGebeurtenisKenmerk), gebeurteniskenmerk)
}

// GetDbGebeurtenisKenmerkRelationByBetalingskenmerk mocks base method.
func (m *MockEventRepository) GetDbGebeurtenisKenmerkRelationByBetalingskenmerk(betalingskenmerk string) (model.GebeurtenisKenmerk, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetDbGebeurtenisKenmerkRelationByBetalingskenmerk", betalingskenmerk)
	ret0, _ := ret[0].(model.GebeurtenisKenmerk)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetDbGebeurtenisKenmerkRelationByBetalingskenmerk indicates an expected call of GetDbGebeurtenisKenmerkRelationByBetalingskenmerk.
func (mr *MockEventRepositoryMockRecorder) GetDbGebeurtenisKenmerkRelationByBetalingskenmerk(betalingskenmerk any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetDbGebeurtenisKenmerkRelationByBetalingskenmerk", reflect.TypeOf((*MockEventRepository)(nil).GetDbGebeurtenisKenmerkRelationByBetalingskenmerk), betalingskenmerk)
}

// GetEvent mocks base method.
func (m *MockEventRepository) GetEvent(gebeurtenisKenmerk model.GebeurtenisKenmerk) repositories.DbEvent {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetEvent", gebeurtenisKenmerk)
	ret0, _ := ret[0].(repositories.DbEvent)
	return ret0
}

// GetEvent indicates an expected call of GetEvent.
func (mr *MockEventRepositoryMockRecorder) GetEvent(gebeurtenisKenmerk any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetEvent", reflect.TypeOf((*MockEventRepository)(nil).GetEvent), gebeurtenisKenmerk)
}

// GetEventListByBsn mocks base method.
func (m *MockEventRepository) GetEventListByBsn(bsn model.Bsn) []repositories.DbEvent {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetEventListByBsn", bsn)
	ret0, _ := ret[0].([]repositories.DbEvent)
	return ret0
}

// GetEventListByBsn indicates an expected call of GetEventListByBsn.
func (mr *MockEventRepositoryMockRecorder) GetEventListByBsn(bsn any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetEventListByBsn", reflect.TypeOf((*MockEventRepository)(nil).GetEventListByBsn), bsn)
}
